%define product   CMFReportTool
%define version   0.1.1.20060206
%define release   3

%define zope_minver 2.6

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Name:      %{rpm_prefix}-%{product}
Summary:   A Zope product to generate PDF reports
Version:   %{version}
Release:   %mkrel %{release}
Group:     System/Servers
License:   GPL
URL:       http://www.zope.org/Members/jack-e/CMFReportTool/
Source:    %{product}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-rootdir
Buildarch: noarch
Requires:  %{rpm_prefix}-zope >= %{zope_minver} %{rpm_prefix}-CMF python2.4-reportlab python2.4-imaging python2.4-pyxml
Conflicts: CMFReportTool

#----------------------------------------------------------------------
%description
CMFReportTool is a Zope which extends the Zope CMF to implement PDF
skins. PDF skins allow to generate reports which are automatically
converted into PDF files with the python reportlab library.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.1.1.20060206-3mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.1.1.20060206-2mdv2007.0
- Rebuild for Mandriva 2007.0

* Mon Feb 06 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.1.20060206-1mdk
- Update to latest SVN trunk
- Add conflicts statement to prevent the installation of old CMFReportTool

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.1.20060105-3mdk
- Give ownership to zope

* Wed Jan 6 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.1.20060105-2mdk
- Fix dependency to python-pyxml

* Wed Jan 5 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.1.20060105-1mdk
- Merge nexedi 10.2 spec file with Mandriva 2006 spec file

* Fri May 13 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.1-6mdk
- Remove Packager tag
- Clean Spec

* Fri May 13 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.1-5mdk
- Rebuild

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 0.1.1-4mdk
- Update spec in order to follows Mandrake Rules

* Wed May 02 2003 Sebastien Robin <seb@nexedi.com> 0.1.1-3nxd
- Change dependency Reportlab to python-reportlab

* Wed Mar 05 2003 Jean-Paul Smets <jp@nexedi.com> 0.1.1-2nxd
- Added help directory

* Wed Mar 05 2003 Jean-Paul Smets <jp@nexedi.com> 0.1.1-1nxd
- Initial release
